Summary: A Universal Instant Messanging Client 
Name: everybuddy 
Version: 0.1.5
Release: 1
Group: Applications/Internet
License: GPL
Url: http://www.everybuddy.com
Packager: tsearle@tgflinux.com
Source: http://www.everybuddy.com/files/everybuddy-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
Everybuddy is designed to become a Universal Instant Messaging client desigend
to eamlessly integrate all existing Instant Messaging clients and provide a
single consistant user interface. Currently, Everybuddy supports sending and
reciveing messages in AOL, ICQ, Yahoo, and MSN. IRC support is possibly
planned to be incorporated in future releases.

%prep
%setup -q

%build
%configure --mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/NOMENCLATURE doc/CREDITS NEWS COPYING AUTHORS doc/FAQ README ChangeLog
%config /etc/X11/applnk/Internet/Everybuddy.desktop
%{_prefix}/bin/everybuddy
%{_prefix}/share/pixmaps/ebicon.xpm
%{_prefix}/bin/update.pl
%{_prefix}/bin/contact-update.pl
%{_prefix}/share/man/*/*
%{_prefix}/share/sounds/everybuddy/*

%changelog
* Sat Nov 4 2000 Torrey Searle <tsearle@tgflinux.com> (0.1.5 release)
- Fixed libmsn to better deal with non @hotmail.com accounts
- Fixed some major bugs in the spell checker
- Major bug fixes to the yahoo Library (Scott Heavner)
- Fixed some Libc5 issues (Scott Heavner)
- Fixed a bug were libtoc was skipping some buddies (Alex Wheeler)
- Got rid of the gtk warnings when looking at the chat log (Scott Heavner)
- Got rid of the annoying dialog box if it can't find the sound
- Added a fix to get ICQ messaging working again
- Fixed libtoc to better deal with errors during login (Vadim Bereznike)
- Made the Chat Window's conversation and input window adjustable
- Inital drag and drop support in Contact Editor
- Everybuddy points to the correct MSN server now
- Log window modfied to deal with undated log entries


* Wed Aug 27 2000 Torrey Searle <tsearle@tgflinux.com> (0.1.4 release)
- Socks 4 Support added (Charles Wise)
- Solaris compile fixes
- Edit Contacts now hides passwords
- Right Click on mispelled words in order to get corrections
- Updated Yahoo protocol to remove "Out of date version" messages
- Graphical log viewing (David Schroder)
- Updated gtkhtml to understand the <body> tag (for netscape6 clients)
- Configurable sound preferences (Nathan Stenzel)

* Wed May 24 2000 Tim Powers <timp@redhat.com>
- started changelog
- removed redundant defines at top of spec file
- use %configure instead of ./configure
- quiet setup
- man pages in FHS comliant location (%{_prefix}/share/man)
- use %{_prefix} instead of %{prefix} since it is picked up from the
  predefined macros for RPM
- not including the kdelnk or gnome specific menu entries, use applnk in
  /etc/X11/applnk instead so that both use the same file. Also marked the
  desktop file as a config file (hence the patch)
- no reason to set the attr of the everybuddy binary since it is already set
  correctly
- use DESTDIR in install section since it is generally safer to use than
  prefix since the BuildRoot is picked up at times in docs etc. Looking down
  the road ;)
